# 
# genxml_sql - driver to test SQL-to-XML mapping stored procedure.
#              Result column type: varchar
#              Database: sample
#
#  Notice:
#         1. make sure that database sample is created via db2sampl 
#         2. make sure that sample database is binded with XML Extender and CLI 
#         3. see ../c/tess2x.sqc for the way to call dxxGenXML()
#
# This file is shipped with XML Extender. 

db2 "connect to sample"

db2 "echo -------- Creating result_tab --------"
db2 "create table result_tab(doc varchar(3000))"

db2 "echo -------- Calling the SQL-to-XML mapping stored procedure --------"
tests2x sample /usr/IBMdb2xml/V7.1/samples/dad/department.dad result_tab

db2 "echo -------- Displaying the resulting XML documents --------"
db2 "select * from result_tab"

db2 "echo -------- Cleaning up --------"
db2 "drop table result_tab"

db2 "terminate"
